BuildExceptionReporter (Gradle API 2.14.1)

org.gradle

## Class BuildExceptionReporter

- java.lang.Object
- - org.gradle.BuildAdapter
  - - org.gradle.BuildExceptionReporter

- All Implemented Interfaces:
    Action<Throwable>, BuildListener

  Deprecated.

      @Deprecated
      public class BuildExceptionReporter
      extends BuildAdapter
      implements Action<Throwable>

  A `BuildListener` which reports the build exception, if any.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildExceptionReporter(org.gradle.internal.logging.text.StyledTextOutputFactory textOutputFactory, LoggingConfiguration loggingConfiguration, org.gradle.initialization.BuildClientMetaData clientMetaData)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFinished(BuildResult result)` Deprecated. Called when the build is completed.
    `void` | `execute(Throwable failure)` Deprecated. Performs this action against the given object.

    - ### Methods inherited from class org.gradle.BuildAdapter

      `buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildExceptionReporter

          public BuildExceptionReporter(org.gradle.internal.logging.text.StyledTextOutputFactory textOutputFactory,
                                LoggingConfiguration loggingConfiguration,
                                org.gradle.initialization.BuildClientMetaData clientMetaData)

      Deprecated.

  - ### Method Detail

    - #### buildFinished

          public void buildFinished(BuildResult result)

      Deprecated.
      Description copied from interface: `BuildListener`

      Called when the build is completed. All selected tasks have been executed.

      Specified by:
        `buildFinished` in interface `BuildListener`
      Overrides:
        `buildFinished` in class `BuildAdapter`
      Parameters:
        `result` - The result of the build. Never null.

    - #### execute

          public void execute(Throwable failure)

      Deprecated.
      Description copied from interface: `Action`
      Performs this action against the given object.
      Specified by:
        `execute` in interface `Action<Throwable>`
      Parameters:
        `failure` - The object to perform the action on.